
import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.InvalidClassException;
import java.io.ObjectInputStream;
import java.io.OptionalDataException;
import java.io.StreamCorruptedException;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author lecocqadam
 */
public class Chargement {//permet de faire un chargement du fichier ens.obj, marche mais difficile d'avoir un aperçu avec le menu
public static void main(String nomFic) {
		String fileName = "ens.obj";
		ObjectInputStream in;
		Vacataire a;
		Permanent b;

		try {  
                
			in = new ObjectInputStream(new FileInputStream(fileName));
			try {
				a = (Vacataire) in.readObject();
				b = (Permanent) in.readObject();
				
				System.out.println("Vacataire : " + a);
				System.out.println("Permanent : " + b);

			} catch (ClassCastException e) {
				System.err.println("Le fichier " + fileName + 
						" contient des objets qui ne sont pas de type Vacataire ou Permanent : " 
						+ e.getMessage());
			} catch (ClassNotFoundException e) {
				System.err.println("Le fichier " + fileName + 
						" contient des objets qui ne sont pas de type Vacataire ou Permanent : " 
						+ e.getMessage());
			} catch (InvalidClassException e) {
				System.err.println("L'enseignant contenu dans le fichier n'est pas conforme au type Vacataire ou Permanent : " 
						+ e.getMessage());
			} catch (StreamCorruptedException e) {
				System.err.println("Le fichier " + fileName + " est corrompu : " 
						+ e.getMessage());
			} catch (OptionalDataException e) {
				System.err.println("Le fichier " + fileName + 
						" contient des données qui ne sont pas de type Vacataire ou Permanent : " 
						+ e.getMessage());
			} finally {
				in.close();
			}
		} catch (FileNotFoundException e) {
			System.err.println("Le fichier " + fileName + " n'existe pas ou ne peut être lu : " + e.getMessage());
		} catch (IOException e) {
			System.err.println("Problème d'entrée/sortie avec le fichier " 	+ fileName + " : " + e.getMessage());
		}
	}    
}
